Jira CLI(7)

NAME

jira-epic-create - Create an epic in a project

SYNOPSIS

jira epic create [flags]

DESCRIPTION

Create an epic in a given project with minimal information.

OPTIONS

-n, --name=""
    Epic name

-s, --summary=""
    Epic summary or title

-b, --body=""
    Epic description

-y, --priority=""
    Epic priority

-r, --reporter=""
    Epic reporter (username, email or display name)

-a, --assignee=""
    Epic assignee (username, email or display name)

-l, --label=[]
    Epic labels

-C, --component=[]
    Epic components

--fix-version=[]
    Release info (fixVersions)

--custom=[]
    Set custom fields

-T, --template=""
    Path to a file to read body/description from

--web[=false]
    Open in web browser after successful creation

--no-input[=false]
    Disable prompt for non-required fields

-h, --help[=false]
    help for create

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

EXAMPLE

    $ jira epic create
    # Create epic in the configured project
    $ jira epic create -n"Epic epic" -s"Everything" -yHigh -lbug -lurgent -b"Bug description"
    # Create epic in another project
    $ jira epic create -pPRJ -n"Amazing epic" -yHigh -s"New Bug" -b$'Bug description\n\nSome more text'
    # Create epic and set custom fields
    # See https://github.com/ankitpokhrel/jira-cli/discussions/346
    $ jira epic create -n"Epic with custom fields" --custom story-points=3

SEE ALSO

jira-epic(7)

HISTORY

9-Dec-2023 Auto generated by spf13/cobra